[lfs-fr] r6693 - in trunk/blfs: general/prog traduc/script/robot-html xsoft/graphweb xsoft/other

myou72 at orange.fr myou72 at orange.fr
Dim 7 Déc 05:03:02 PST 2014


Author: myou72
Date: 2014-12-07 05:03:02 -0800 (Sun, 07 Dec 2014)
New Revision: 6693

Modified:
   trunk/blfs/general/prog/openjdk.xml
   trunk/blfs/traduc/script/robot-html/robot-html.sh
   trunk/blfs/xsoft/graphweb/firefox.xml
   trunk/blfs/xsoft/graphweb/seamonkey.xml
   trunk/blfs/xsoft/other/fontforge.xml
Log:
debug xml

Modified: trunk/blfs/general/prog/openjdk.xml
===================================================================
--- trunk/blfs/general/prog/openjdk.xml	2014-12-06 03:45:07 UTC (rev 6692)
+++ trunk/blfs/general/prog/openjdk.xml	2014-12-07 13:03:02 UTC (rev 6693)
@@ -182,15 +182,17 @@
           </simplelist>
         </para>
       </listitem>
-        <para>source de Nashorn
+      <listitem>
+          <para>source de Nashorn
           <simplelist>
             <member>Téléchargement: <ulink url="&nashorn-download;"/></member>
             <member>Somme de contrôle MD5 du téléchargement: &nashorn-md5sum;</member>
             <member>Taille de téléchargement: &nashorn-size;</member>
           </simplelist>
         </para>
-      <listitem>
-        <para>Estimation de l'espace disque requis : &ojdk-buildsize;</para>
+       </listitem>
+      <listitem>  
+         <para>Estimation de l'espace disque requis : &ojdk-buildsize;</para>
       </listitem>
       <listitem>
         <para>Estimation du temps de construction : &ojdk-time;</para>
@@ -225,7 +227,7 @@
     <bridgehead renderas="sect4">Recommandées</bridgehead>
     <para role="recommended">
       <xref linkend="cacerts"/> et
-      <xref linkend="giflib"/
+      <xref linkend="giflib"/>
     </para>
     <bridgehead renderas="sect4">Facultatives</bridgehead>
     <para role="optional">

Modified: trunk/blfs/traduc/script/robot-html/robot-html.sh
===================================================================
--- trunk/blfs/traduc/script/robot-html/robot-html.sh	2014-12-06 03:45:07 UTC (rev 6692)
+++ trunk/blfs/traduc/script/robot-html/robot-html.sh	2014-12-07 13:03:02 UTC (rev 6693)
@@ -120,42 +120,44 @@
 # détermination de la dernière version traduite selon le wiki
 #---------------------------------------------------------------------
 # récupération de la page du wiki et enregistrement dans blfsfr
-log_info "Chargement de la page du wiki"
-wget http://traduc.org/blfsfr 2>>$CHEMIN_LOG/robot.err
-log_err $?
+#log_info "Chargement de la page du wiki"
+#wget http://traduc.org/blfsfr 2>>$CHEMIN_LOG/robot.err
+#log_err $?
 # extraction de toutes les lignes contenant un numéros de 5 chiffres dans le fichier list
-log_info "Recherche des numéros de 5 chiffres dans la page du wiki"
-grep \>\*[0-9][0-9][0-9][0-9][0-9] blfsfr >list
-log_err $?
-V_WIKI=0
+#log_info "Recherche des numéros de 5 chiffres dans la page du wiki"
+#grep \>\*[0-9][0-9][0-9][0-9][0-9] blfsfr >list
+#log_err $?
+#V_WIKI=0
 # suppression des balises html de list et ajout d'un \n après chaque numéro à 5 chiffres
-log_info "Nettoyage dans le fichier list"
-sed -e "s/>/>\n/g" -i list
-sed -e "s/<.*>//g" -e "s/\([0-9][0-9][0-9][0-9][0-9]\)/\n\1\n/g" -e "/^$/d" -i list 2>>$CHEMIN_LOG/robot.err
-log_err $?
+#log_info "Nettoyage dans le fichier list"
+#sed -e "s/>/>\n/g" -i list
+#sed -e "s/<.*>//g" -e "s/\([0-9][0-9][0-9][0-9][0-9]\)/\n\1\n/g" -e "/^$/d" -i list 2>>$CHEMIN_LOG/robot.err
+#log_err $?
 # parcourt du fichier list, extraction du nb à 5 chiffres de la ligne et
 # détermination du plus grand
-log_info "recherche du numéro de la dernière VO traduite dans le wiki"
-while read LIGNE
-do
-   V=$(echo $LIGNE | sed 's/.*\([0-9][0-9][0-9][0-9][0-9]\).*/\1/g')
-   if [[ $V > $V_WIKI ]]
-   then
-      let V_WIKI=$V
-   fi
-done < list
-if [[ $V_WIKI == 0 ]]
-then
-   echo "Aucune VO traduite trouvée sur le wiki" >>$CHEMIN_LOG/robot.err
-   log_err 1
-else
-   log_err 0
-fi
-log_info "version $V_WIKI indiquée sur le wiki comme étant la dernière traduite"
-log_err 0
+#log_info "recherche du numéro de la dernière VO traduite dans le wiki"
+#while read LIGNE
+#do
+#   V=$(echo $LIGNE | sed 's/.*\([0-9][0-9][0-9][0-9][0-9]\).*/\1/g')
+#   if [[ $V > $V_WIKI ]]
+#   then
+#      let V_WIKI=$V
+#   fi
+#done < list
+#if [[ $V_WIKI == 0 ]]
+#then
+#   echo "Aucune VO traduite trouvée sur le wiki" >>$CHEMIN_LOG/robot.err
+#   log_err 1
+#else
+#   log_err 0
+#fi
+#log_info "version $V_WIKI indiquée sur le wiki comme étant la dernière traduite"
+#log_err 0
 # effacement des fichiers blfsfr et list
-rm blfsfr
-rm list
+#rm blfsfr
+#rm list
+echo "dernière version traduite ?"
+read V_WIKI
 #---------------------------------------------------------------------
 # Détermination de la liste des fichiers modifiés entre la version de
 # travail du dépôt et la dernière version sur le dépôt.
@@ -319,7 +321,7 @@
       log_err $?
       # correction de typo
       log_info "correction sur le fichiers xml"
- #    ./traduc/script/robot-html/typo.sh -q 2>>$CHEMIN_LOG/robot.err
+      ./traduc/script/robot-html/typo.sh -q 2>>$CHEMIN_LOG/robot.err
       log_err $?
       # on regarde la validité du xml
       log_info "validation du xml"
@@ -368,11 +370,11 @@
             echo "Il faudrait analyser les fichiers suivants car le nombre de balises entre le français et l'anglais n'est pas concordant (un nombre négatif indique des balises manquantes dans la version française alors qu'un nombre positif indique des balises en trop) :" >>$CHEMIN_BLFSFR/mail.txt
             cat verif.lst >>$CHEMIN_BLFSFR/mail.txt 
          fi
-         log_info "publication de la version HTML sur le site traduc.org"
-         rsync $1 -lrugop --delete blfs-svn traduc.org:/home/traduc.org/www/lfs.traduc.org/view/ 2>&1 2>>$CHEMIN_LOG/robot.err
+         log_info "publication de la version HTML sur le site linuxfromscratch.org"
+         rsync $1 -lrugop --delete blfs-svn linuxfromscratch.org:/srv/www/www.fr.linuxfromscratch.org/view/ 2>&1 2>>$CHEMIN_LOG/robot.err
          log_err $?
          log_info "publication de l'archive sur le site traduc.org"
-         rsync $1 -lrugop --delete blfs-svn.tar.bz2 traduc.org:/home/traduc.org/www/lfs.traduc.org/archives/blfs-svn/ 2>&1 2>>$CHEMIN_LOG/robot.err
+         rsync $1 -lrugop --delete blfs-svn.tar.bz2 linuxfromscratch.org:/srv/www/www.fr.linuxfromscratch.org/archives/blfs-svn/ 2>&1 2>>$CHEMIN_LOG/robot.err
          log_err $?
          log_info "suppression du rep blfs-html"
          rm -r blfs-html 2>>$CHEMIN_LOG/robot.err

Modified: trunk/blfs/xsoft/graphweb/firefox.xml
===================================================================
--- trunk/blfs/xsoft/graphweb/firefox.xml	2014-12-06 03:45:07 UTC (rev 6692)
+++ trunk/blfs/xsoft/graphweb/firefox.xml	2014-12-07 13:03:02 UTC (rev 6693)
@@ -196,7 +196,10 @@
       car ce paramètre apporte des meilleures performances et des binaires plus petits.
       Cependant, si vous ne voulez pas mettre à jour gcc, désactivez ce paramètre avec:
     </para>
-<screen><userinput>test $(uname -m) = "i686" && sed -i 's/enable-optimize/disable-optimize/' mozconfig ||$
+<screen><userinput>test $(uname -m) = "i686" && sed -i 's/enable-optimize/disable-optimize/' mozconfig || true &&
+</userinput>
+</screen>
+
  </note>
 
     <para>

Modified: trunk/blfs/xsoft/graphweb/seamonkey.xml
===================================================================
--- trunk/blfs/xsoft/graphweb/seamonkey.xml	2014-12-06 03:45:07 UTC (rev 6692)
+++ trunk/blfs/xsoft/graphweb/seamonkey.xml	2014-12-07 13:03:02 UTC (rev 6693)
@@ -188,7 +188,8 @@
       car ce paramètre apporte des meilleures performances et des binaires plus petits.
       Cependant, si vous ne voulez pas mettre à jour gcc, désactivez ce paramètre avec:
     </para>
-<screen><userinput>test $(uname -m) = "i686" && sed -i 's/enable-optimize/disable-optimize/' mozconfig ||$
+<screen><userinput>test $(uname -m) = "i686" && sed -i 's/enable-optimize/disable-optimize/' mozconfig ||true &&</userinput>
+</screen>
 </note>
 
     <note><para>

Modified: trunk/blfs/xsoft/other/fontforge.xml
===================================================================
(Binary files differ)



More information about the lfs-traducfr mailing list